/*
 *    GeoTools - The Open Source Java GIS Toolkit
 *    http://geotools.org
 *    
 *    (C) 2003-2008, Open Source Geospatial Foundation (OSGeo)
 *    
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation;
 *    version 2.1 of the License.
 *    
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *    
 *    THIS IS AN AUTOMATICALLY GENERATED FILE. DO NOT EDIT!
 *    Generated with: org.geotools.resources.IndexedResourceCompiler
 */
package org.geotools.resources.i18n;


/**
 * Resource keys. This class is used when compiling sources, but
 * no dependencies to {@code ResourceKeys} should appear in any
 * resulting class files.  Since Java compiler inlines final integer
 * values, using long identifiers will not bloat constant pools of
 * classes compiled against the interface, provided that no class
 * implements this interface.
 *
 * @see org.geotools.resources.IndexedResourceBundle
 * @see org.geotools.resources.IndexedResourceCompiler
 * @source $URL: http://svn.osgeo.org/geotools/tags/2.6.4/modules/library/metadata/src/main/java/org/geotools/resources/i18n/VocabularyKeys.java $
 */
public final class VocabularyKeys {
    private VocabularyKeys() {
    }

    /**
     * About
     */
    public static final int ABOUT = 0;

    /**
     * Abridged Molodenski transform
     */
    public static final int ABRIDGED_MOLODENSKI_TRANSFORM = 1;

    /**
     * Affine transform
     */
    public static final int AFFINE_TRANSFORM = 2;

    /**
     * Albers Equal Area projection
     */
    public static final int ALBERS_EQUAL_AREA_PROJECTION = 3;

    /**
     * All
     */
    public static final int ALL = 4;

    /**
     * Altitude
     */
    public static final int ALTITUDE = 5;

    /**
     * Authority
     */
    public static final int AUTHORITY = 6;

    /**
     * Axis changes
     */
    public static final int AXIS_CHANGES = 7;

    /**
     * Azimuth
     */
    public static final int AZIMUTH = 8;

    /**
     * Band
     */
    public static final int BAND = 9;

    /**
     * Barometric altitude
     */
    public static final int BAROMETRIC_ALTITUDE = 10;

    /**
     * Black
     */
    public static final int BLACK = 11;

    /**
     * Blue
     */
    public static final int BLUE = 12;

    /**
     * Cancel
     */
    public static final int CANCEL = 13;

    /**
     * Cartesian
     */
    public static final int CARTESIAN = 14;

    /**
     * Cartesian 2D
     */
    public static final int CARTESIAN_2D = 15;

    /**
     * Cartesian 3D
     */
    public static final int CARTESIAN_3D = 16;

    /**
     * Cassini-Soldner projection
     */
    public static final int CASSINI_SOLDNER_PROJECTION = 249;

    /**
     * Category
     */
    public static final int CATEGORY = 17;

    /**
     * Class
     */
    public static final int CLASS = 18;

    /**
     * Classic
     */
    public static final int CLASSIC = 19;

    /**
     * Close
     */
    public static final int CLOSE = 20;

    /**
     * Code
     */
    public static final int CODE = 21;

    /**
     * Colors
     */
    public static final int COLORS = 22;

    /**
     * {0} colors
     */
    public static final int COLOR_COUNT_$1 = 23;

    /**
     * Color model
     */
    public static final int COLOR_MODEL = 24;

    /**
     * Column
     */
    public static final int COLUMN = 25;

    /**
     * Columns
     */
    public static final int COLUMNS = 26;

    /**
     * Compare with
     */
    public static final int COMPARE_WITH = 27;

    /**
     * Conversion
     */
    public static final int CONVERSION = 28;

    /**
     * Conversion and transformation
     */
    public static final int CONVERSION_AND_TRANSFORMATION = 29;

    /**
     * Coordinates selection
     */
    public static final int COORDINATES_SELECTION = 30;

    /**
     * Coordinate format
     */
    public static final int COORDINATE_FORMAT = 31;

    /**
     * Coordinate Reference System
     */
    public static final int COORDINATE_REFERENCE_SYSTEM = 32;

    /**
     * Cyan
     */
    public static final int CYAN = 33;

    /**
     * Cylindrical Mercator projection
     */
    public static final int CYLINDRICAL_MERCATOR_PROJECTION = 34;

    /**
     * Database engine
     */
    public static final int DATABASE_ENGINE = 35;

    /**
     * Database URL
     */
    public static final int DATABASE_URL = 36;

    /**
     * {0} data base version {1} on {2} engine.
     */
    public static final int DATA_BASE_$3 = 37;

    /**
     * Data type
     */
    public static final int DATA_TYPE = 38;

    /**
     * {1} bits {0,choice,0#unsigned integer|1#signed integer|2#real number}
     */
    public static final int DATA_TYPE_$2 = 39;

    /**
     * Datum shift
     */
    public static final int DATUM_SHIFT = 40;

    /**
     * Debug
     */
    public static final int DEBUG = 41;

    /**
     * Decoders
     */
    public static final int DECODERS = 42;

    /**
     * Default value
     */
    public static final int DEFAULT_VALUE = 43;

    /**
     * Depth
     */
    public static final int DEPTH = 44;

    /**
     * Derived from {0}
     */
    public static final int DERIVED_FROM_$1 = 45;

    /**
     * Description
     */
    public static final int DESCRIPTION = 46;

    /**
     * Discontinuous
     */
    public static final int DISCONTINUOUS = 47;

    /**
     * Display
     */
    public static final int DISPLAY = 48;

    /**
     * Distance
     */
    public static final int DISTANCE = 49;

    /**
     * Down
     */
    public static final int DOWN = 50;

    /**
     * Dublin Julian
     */
    public static final int DUBLIN_JULIAN = 51;

    /**
     * Duplicated value
     */
    public static final int DUPLICATED_VALUE = 52;

    /**
     * Earth gravitational model
     */
    public static final int EARTH_GRAVITATIONAL_MODEL = 53;

    /**
     * East
     */
    public static final int EAST = 54;

    /**
     * Easting
     */
    public static final int EASTING = 55;

    /**
     * Ellipsoid
     */
    public static final int ELLIPSOID = 56;

    /**
     * Ellipsoidal
     */
    public static final int ELLIPSOIDAL = 57;

    /**
     * Ellipsoidal height
     */
    public static final int ELLIPSOIDAL_HEIGHT = 58;

    /**
     * Ellipsoid shift
     */
    public static final int ELLIPSOID_SHIFT = 59;

    /**
     * Encoders
     */
    public static final int ENCODERS = 60;

    /**
     * End time
     */
    public static final int END_TIME = 61;

    /**
     * Equidistant conic projection
     */
    public static final int EQUIDISTANT_CONIC_PROJECTION = 250;

    /**
     * Equidistant cylindrical projection
     */
    public static final int EQUIDISTANT_CYLINDRICAL_PROJECTION = 62;

    /**
     * Error
     */
    public static final int ERROR = 63;

    /**
     * Error - {0}
     */
    public static final int ERROR_$1 = 64;

    /**
     * Error filters
     */
    public static final int ERROR_FILTERS = 65;

    /**
     * Event logger
     */
    public static final int EVENT_LOGGER = 66;

    /**
     * Exception
     */
    public static final int EXCEPTION = 67;

    /**
     * Exponential
     */
    public static final int EXPONENTIAL = 68;

    /**
     * Factory
     */
    public static final int FACTORY = 69;

    /**
     * False
     */
    public static final int FALSE = 70;

    /**
     * File {0}
     */
    public static final int FILE_$1 = 71;

    /**
     * Line {1} in file {0}
     */
    public static final int FILE_POSITION_$2 = 72;

    /**
     * Format
     */
    public static final int FORMAT = 73;

    /**
     * Future
     */
    public static final int FUTURE = 74;

    /**
     * Generic cartesian 2D
     */
    public static final int GENERIC_CARTESIAN_2D = 75;

    /**
     * Generic cartesian 3D
     */
    public static final int GENERIC_CARTESIAN_3D = 76;

    /**
     * Geocentric
     */
    public static final int GEOCENTRIC = 77;

    /**
     * Geocentric radius
     */
    public static final int GEOCENTRIC_RADIUS = 78;

    /**
     * Geocentric transform
     */
    public static final int GEOCENTRIC_TRANSFORM = 79;

    /**
     * Geocentric X
     */
    public static final int GEOCENTRIC_X = 80;

    /**
     * Geocentric Y
     */
    public static final int GEOCENTRIC_Y = 81;

    /**
     * Geocentric Z
     */
    public static final int GEOCENTRIC_Z = 82;

    /**
     * Geodetic 2D
     */
    public static final int GEODETIC_2D = 83;

    /**
     * Geodetic 3D
     */
    public static final int GEODETIC_3D = 84;

    /**
     * Geodetic latitude
     */
    public static final int GEODETIC_LATITUDE = 85;

    /**
     * Geodetic longitude
     */
    public static final int GEODETIC_LONGITUDE = 86;

    /**
     * Geographic coordinates
     */
    public static final int GEOGRAPHIC_COORDINATES = 87;

    /**
     * Geoidal
     */
    public static final int GEOIDAL = 88;

    /**
     * Geoid model derived
     */
    public static final int GEOID_MODEL_DERIVED = 89;

    /**
     * Geophysics
     */
    public static final int GEOPHYSICS = 90;

    /**
     * Greenwich Mean Time (GMT)
     */
    public static final int GMT = 91;

    /**
     * Gradient masks
     */
    public static final int GRADIENT_MASKS = 92;

    /**
     * Gravity-related height
     */
    public static final int GRAVITY_RELATED_HEIGHT = 93;

    /**
     * Gray
     */
    public static final int GRAY = 94;

    /**
     * Green
     */
    public static final int GREEN = 95;

    /**
     * Grid
     */
    public static final int GRID = 96;

    /**
     * Hide
     */
    public static final int HIDE = 97;

    /**
     * Hiden
     */
    public static final int HIDEN = 98;

    /**
     * Horizontal
     */
    public static final int HORIZONTAL = 99;

    /**
     * Horizontal component
     */
    public static final int HORIZONTAL_COMPONENT = 100;

    /**
     * Hue
     */
    public static final int HUE = 101;

    /**
     * Identity
     */
    public static final int IDENTITY = 102;

    /**
     * Images
     */
    public static final int IMAGES = 103;

    /**
     * Image of class "{0}"
     */
    public static final int IMAGE_CLASS_$1 = 104;

    /**
     * Image size
     */
    public static final int IMAGE_SIZE = 105;

    /**
     * {0} × {1} pixels × {2} bands
     */
    public static final int IMAGE_SIZE_$3 = 106;

    /**
     * Implementations
     */
    public static final int IMPLEMENTATIONS = 107;

    /**
     * Index
     */
    public static final int INDEX = 108;

    /**
     * Indexed
     */
    public static final int INDEXED = 109;

    /**
     * Informations
     */
    public static final int INFORMATIONS = 110;

    /**
     * Inside
     */
    public static final int INSIDE = 111;

    /**
     * Inverse {0}
     */
    public static final int INVERSE_$1 = 112;

    /**
     * Inverse operation
     */
    public static final int INVERSE_OPERATION = 113;

    /**
     * Inverse transform
     */
    public static final int INVERSE_TRANSFORM = 114;

    /**
     * {0}
     */
    public static final int JAVA_VENDOR_$1 = 115;

    /**
     * Java version {0}
     */
    public static final int JAVA_VERSION_$1 = 116;

    /**
     * Julian
     */
    public static final int JULIAN = 117;

    /**
     * Kernel
     */
    public static final int KERNEL = 118;

    /**
     * Lambert conformal conic projection
     */
    public static final int LAMBERT_CONFORMAL_PROJECTION = 119;

    /**
     * Latitude
     */
    public static final int LATITUDE = 120;

    /**
     * Left
     */
    public static final int LEFT = 121;

    /**
     * Level
     */
    public static final int LEVEL = 122;

    /**
     * Lightness
     */
    public static final int LIGHTNESS = 123;

    /**
     * Lines
     */
    public static final int LINES = 124;

    /**
     * Line {0}
     */
    public static final int LINE_$1 = 125;

    /**
     * Loading {0}...
     */
    public static final int LOADING_$1 = 126;

    /**
     * Loading images {0} and {1}
     */
    public static final int LOADING_IMAGES_$2 = 127;

    /**
     * Loading image {0}
     */
    public static final int LOADING_IMAGE_$1 = 128;

    /**
     * Local
     */
    public static final int LOCAL = 129;

    /**
     * Logarithmic
     */
    public static final int LOGARITHMIC = 130;

    /**
     * Logger
     */
    public static final int LOGGER = 131;

    /**
     * Longitude
     */
    public static final int LONGITUDE = 132;

    /**
     * Magenta
     */
    public static final int MAGENTA = 133;

    /**
     * Magnifier
     */
    public static final int MAGNIFIER = 134;

    /**
     * Math transform
     */
    public static final int MATH_TRANSFORM = 135;

    /**
     * Maximum
     */
    public static final int MAXIMUM = 136;

    /**
     * Allocated memory: {0} MB
     */
    public static final int MEMORY_HEAP_SIZE_$1 = 137;

    /**
     * Allocation used: {0,number,percent}
     */
    public static final int MEMORY_HEAP_USAGE_$1 = 138;

    /**
     * Message
     */
    public static final int MESSAGE = 139;

    /**
     * Method
     */
    public static final int METHOD = 140;

    /**
     * Minimum
     */
    public static final int MINIMUM = 141;

    /**
     * Modified Julian
     */
    public static final int MODIFIED_JULIAN = 142;

    /**
     * Molodenski transform
     */
    public static final int MOLODENSKI_TRANSFORM = 143;

    /**
     * ... {0} more...
     */
    public static final int MORE_$1 = 144;

    /**
     * NADCON transform
     */
    public static final int NADCON_TRANSFORM = 145;

    /**
     * Name
     */
    public static final int NAME = 146;

    /**
     * No data
     */
    public static final int NODATA = 147;

    /**
     * Normal
     */
    public static final int NORMAL = 148;

    /**
     * North
     */
    public static final int NORTH = 149;

    /**
     * Northing
     */
    public static final int NORTHING = 150;

    /**
     * Note
     */
    public static final int NOTE = 151;

    /**
     * {0} (no details)
     */
    public static final int NO_DETAILS_$1 = 152;

    /**
     * No duplicated value found.
     */
    public static final int NO_DUPLICATION_FOUND = 153;

    /**
     * Oblique Mercator projection
     */
    public static final int OBLIQUE_MERCATOR_PROJECTION = 154;

    /**
     * Ok
     */
    public static final int OK = 155;

    /**
     * Operations
     */
    public static final int OPERATIONS = 156;

    /**
     * "{0}" operation
     */
    public static final int OPERATION_$1 = 157;

    /**
     * Order
     */
    public static final int ORDER = 158;

    /**
     * Orthodromic distance
     */
    public static final int ORTHODROMIC_DISTANCE = 159;

    /**
     * Orthographic projection
     */
    public static final int ORTHOGRAPHIC_PROJECTION = 160;

    /**
     * Orthometric
     */
    public static final int ORTHOMETRIC = 161;

    /**
     * {0} system
     */
    public static final int OS_NAME_$1 = 162;

    /**
     * Version {0} for {1}
     */
    public static final int OS_VERSION_$2 = 163;

    /**
     * Other
     */
    public static final int OTHER = 164;

    /**
     * Others
     */
    public static final int OTHERS = 165;

    /**
     * Outside
     */
    public static final int OUTSIDE = 166;

    /**
     * Palette
     */
    public static final int PALETTE = 167;

    /**
     * Parameter {0}
     */
    public static final int PARAMETER_$1 = 168;

    /**
     * Past
     */
    public static final int PAST = 169;

    /**
     * Personalized
     */
    public static final int PERSONALIZED = 170;

    /**
     * Pixels
     */
    public static final int PIXELS = 171;

    /**
     * {0} points on a {1} × {2} grid.
     */
    public static final int POINT_COUNT_IN_GRID_$3 = 172;

    /**
     * Polyconic projection
     */
    public static final int POLYCONIC_PROJECTION = 251;

    /**
     * Predefined kernels
     */
    public static final int PREDEFINED_KERNELS = 173;

    /**
     * Preferred resolution
     */
    public static final int PREFERRED_RESOLUTION = 174;

    /**
     * Preview
     */
    public static final int PREVIEW = 175;

    /**
     * Progression
     */
    public static final int PROGRESSION = 176;

    /**
     * Projected
     */
    public static final int PROJECTED = 177;

    /**
     * Properties
     */
    public static final int PROPERTIES = 178;

    /**
     * {0} bits real number
     */
    public static final int REAL_NUMBER_$1 = 179;

    /**
     * Area: x=[{0} .. {1}], y=[{2} .. {3}]
     */
    public static final int RECTANGLE_$4 = 180;

    /**
     * Red
     */
    public static final int RED = 181;

    /**
     * Reset
     */
    public static final int RESET = 182;

    /**
     * Right
     */
    public static final int RIGHT = 183;

    /**
     * Root mean squared error.
     */
    public static final int ROOT_MEAN_SQUARED_ERROR = 184;

    /**
     * Rotate left
     */
    public static final int ROTATE_LEFT = 185;

    /**
     * Rotate right
     */
    public static final int ROTATE_RIGHT = 186;

    /**
     * Row
     */
    public static final int ROW = 187;

    /**
     * Running tasks
     */
    public static final int RUNNING_TASKS = 188;

    /**
     * Sample model
     */
    public static final int SAMPLE_MODEL = 189;

    /**
     * Saturation
     */
    public static final int SATURATION = 190;

    /**
     * Saving {0}...
     */
    public static final int SAVING_$1 = 191;

    /**
     * Scale 1:{0} (approximative)
     */
    public static final int SCALE_$1 = 192;

    /**
     * Search
     */
    public static final int SEARCH = 193;

    /**
     * Set preferred resolution
     */
    public static final int SET_PREFERRED_RESOLUTION = 194;

    /**
     * Show magnifier
     */
    public static final int SHOW_MAGNIFIER = 195;

    /**
     * {0} bits signed integer
     */
    public static final int SIGNED_INTEGER_$1 = 196;

    /**
     * Size
     */
    public static final int SIZE = 197;

    /**
     * {0} × {1}
     */
    public static final int SIZE_$2 = 198;

    /**
     * (in angle minutes)
     */
    public static final int SIZE_IN_MINUTES = 199;

    /**
     * Source CRS
     */
    public static final int SOURCE_CRS = 200;

    /**
     * Source point
     */
    public static final int SOURCE_POINT = 201;

    /**
     * South
     */
    public static final int SOUTH = 202;

    /**
     * Southing
     */
    public static final int SOUTHING = 203;

    /**
     * Spherical
     */
    public static final int SPHERICAL = 204;

    /**
     * Spherical latitude
     */
    public static final int SPHERICAL_LATITUDE = 205;

    /**
     * Spherical longitude
     */
    public static final int SPHERICAL_LONGITUDE = 206;

    /**
     * Start time
     */
    public static final int START_TIME = 207;

    /**
     * Stereographic projection
     */
    public static final int STEREOGRAPHIC_PROJECTION = 208;

    /**
     * System
     */
    public static final int SYSTEM = 209;

    /**
     * Target
     */
    public static final int TARGET = 210;

    /**
     * Target CRS
     */
    public static final int TARGET_CRS = 211;

    /**
     * Target point
     */
    public static final int TARGET_POINT = 212;

    /**
     * Tasks
     */
    public static final int TASKS = 213;

    /**
     * Temporal
     */
    public static final int TEMPORAL = 214;

    /**
     * Tiles size
     */
    public static final int TILES_SIZE = 215;

    /**
     * Tile cache capacity: {0} MB
     */
    public static final int TILE_CACHE_CAPACITY_$1 = 216;

    /**
     * {0}×{1} tiles of {2} × {3} pixels
     */
    public static final int TILE_SIZE_$4 = 217;

    /**
     * Time
     */
    public static final int TIME = 218;

    /**
     * Time
     */
    public static final int TIME_OF_DAY = 219;

    /**
     * Time range
     */
    public static final int TIME_RANGE = 220;

    /**
     * Time zone
     */
    public static final int TIME_ZONE = 221;

    /**
     * Transformation
     */
    public static final int TRANSFORMATION = 222;

    /**
     * Transformation accuracy
     */
    public static final int TRANSFORMATION_ACCURACY = 223;

    /**
     * Transparency
     */
    public static final int TRANSPARENCY = 224;

    /**
     * Transverse Mercator projection
     */
    public static final int TRANSVERSE_MERCATOR_PROJECTION = 225;

    /**
     * True
     */
    public static final int TRUE = 226;

    /**
     * Truncated Julian
     */
    public static final int TRUNCATED_JULIAN = 227;

    /**
     * Type
     */
    public static final int TYPE = 228;

    /**
     * Undefined
     */
    public static final int UNDEFINED = 229;

    /**
     * Unknow
     */
    public static final int UNKNOW = 230;

    /**
     * {0} bits unsigned integer ({1} bits/pixel)
     */
    public static final int UNSIGNED_INTEGER_$2 = 231;

    /**
     * Untitled
     */
    public static final int UNTITLED = 232;

    /**
     * Up
     */
    public static final int UP = 233;

    /**
     * Use best resolution
     */
    public static final int USE_BEST_RESOLUTION = 234;

    /**
     * Universal Time (UTC)
     */
    public static final int UTC = 235;

    /**
     * Value
     */
    public static final int VALUE = 236;

    /**
     * Vendor
     */
    public static final int VENDOR = 237;

    /**
     * Version {0}
     */
    public static final int VERSION_$1 = 238;

    /**
     * "{0}" version
     */
    public static final int VERSION_OF_$1 = 239;

    /**
     * Vertical
     */
    public static final int VERTICAL = 240;

    /**
     * Vertical component
     */
    public static final int VERTICAL_COMPONENT = 241;

    /**
     * Warning
     */
    public static final int WARNING = 242;

    /**
     * West
     */
    public static final int WEST = 243;

    /**
     * Westing
     */
    public static final int WESTING = 244;

    /**
     * Yellow
     */
    public static final int YELLOW = 245;

    /**
     * Zoom in
     */
    public static final int ZOOM_IN = 246;

    /**
     * Close zoom
     */
    public static final int ZOOM_MAX = 247;

    /**
     * Zoom out
     */
    public static final int ZOOM_OUT = 248;
}
